Subject: bug#8127: When starting Cocoa Emacs, two frames are opened under some conditions

From: Vincent Lefevre <[email-masked]>
Date: Sat, 26 Feb 2011 23:32:11 +0100

Hi,

Under some conditions, Emacs 23.2.1 opens two frames under Mac OS X.
For instance, with

prunille:~> /Applications/MacPorts/Emacs.app/Contents/MacOS/Emacs tmp/foo

a first frame "foo" is opened, then a second one is automatically
opened. The buffer name of this second frame is foo<2> and the title
is "/Users/vinc17/tmp/tmp/foo". This occurs even without a .emacs
file. Note also that the path /Users/vinc17/tmp/tmp/foo doesn't exist
(the real path is /Users/vinc17/tmp/foo). Without a .emacs file, the
*Messages* buffer just contains:

For information about GNU Emacs and the GNU system, type C-h C-a.
Use M-x make-directory RET RET to create the directory and its parents

This problem doesn't occur with:

prunille:~> /Applications/MacPorts/Emacs.app/Contents/MacOS/Emacs -q tmp/foo
prunille:~> /Applications/MacPorts/Emacs.app/Contents/MacOS/Emacs ~/tmp/foo
prunille:~tmp> /Applications/MacPorts/Emacs.app/Contents/MacOS/Emacs foo
prunille:~> open -a Emacs.app tmp/foo

In particular, this is quite strange that the "-q" option makes a
difference without a .emacs file.

Version information:

prunille:~> /Applications/MacPorts/Emacs.app/Contents/MacOS/Emacs --version
GNU Emacs 23.2.1
Copyright (C) 2010 Free Software Foundation, Inc.
GNU Emacs comes with ABSOLUTELY NO WARRANTY.
You may redistribute copies of Emacs
under the terms of the GNU General Public License.
For more information about these matters, see the file named COPYING.

It was built and installed via MacPorts (emacs-app port).

-- 
Vincent Lefèvre <[email-masked]> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / Arénaire project (LIP, ENS-Lyon)